$(function() {


    //首页顶部城市切换 begin
    $(".head-top-c .ads").on("mouseover", function () {
        $(this).removeClass("ho");
        $(".head-top-c .ads, .areas-more").addClass("hover");
        $(".broker, .broker-c").removeClass("ho");
        $(".mores1, .mores1-c").removeClass("ho");
        $(".mores2, .mores2-c").removeClass("ho");
        $(".mores3, .mores3-c").removeClass("ho");
        $(".searchInp").blur();
    })

    $(".areas-more").on("mouseleave", function () {
        $(".head-top-c .ads, .areas-more").removeClass("hover");
    })


    $(".nav-a.tel").on("mouseover", function () {
        $(this).removeClass("ho");
        $(".nav-a.tel, .logo-small-Con").addClass("hover");
        $(".broker, .broker-c").removeClass("ho");
        $(".mores1, .mores1-c").removeClass("ho");
        $(".mores2, .mores2-c").removeClass("ho");
        $(".mores3, .mores3-c").removeClass("ho");
    })

    $(".logo-small-Con").on("mouseleave", function () {
        $(".nav-a.tel, .logo-small-Con").removeClass("hover");
    })
    //首页顶部城市切换 end

    //导航切换 begin

    //导航切换 end

    $(".mores1").on("mouseover", function () {
        $(this).removeClass("ho");
        $(".mores1, .mores1-c").addClass("ho");
        $(".broker, .broker-c").removeClass("ho");
        $(".mores2, .mores2-c").removeClass("ho");
        $(".mores3, .mores3-c").removeClass("ho");
    })
    $(".mores1-c").on("mouseleave", function () {
        $(".mores1, .mores1-c").removeClass("ho");
    })


    $(".mores2").on("mouseover", function () {
        $(this).removeClass("ho");
        $(".mores2, .mores2-c").addClass("ho");
        $(".broker, .broker-c").removeClass("ho");
        $(".mores1, .mores1-c").removeClass("ho");
        $(".mores3, .mores3-c").removeClass("ho");
    })
    $(".mores2-c").on("mouseleave", function () {
        $(".mores2, .mores2-c").removeClass("ho");
    })


    $(".mores3").on("mouseover", function () {
        $(this).removeClass("ho");
        $(".mores3, .mores3-c").addClass("ho");
        $(".broker, .broker-c").removeClass("ho");
        $(".mores2, .mores2-c").removeClass("ho");
        $(".mores1, .mores1-c").removeClass("ho");
    })
    $(".mores3-c").on("mouseleave", function () {
        $(".mores3, .mores3-c").removeClass("ho");
    })


    $(".broker").on("mouseover", function () {
        $(this).removeClass("ho");
        $(".broker, .broker-c").addClass("ho");
        $(".nav-a.tel, .logo-small-Con").removeClass("hover");
        $(".head-top-c .ads, .areas-more").removeClass("hover");
        $(".mores3, .mores3-c").removeClass("ho");
        $(".mores2, .mores2-c").removeClass("ho");
        $(".mores1, .mores1-c").removeClass("ho");
    })
    $(".broker-c").on("mouseleave", function () {
        $(".broker, .broker-c").removeClass("ho");
    })



    $(".choose-01").on("mouseover", function () {
        $(".fixed01").addClass("hover");
        $(".fixed02").removeClass("hover");
    })
    $(".fixed01").on("mouseleave", function () {
        $(this).removeClass("hover");
    })


    $(".choose-02").on("mouseover", function () {
        $(".fixed02").addClass("hover");
        $(".fixed01").removeClass("hover");
    })
    $(".fixed02").on("mouseleave", function () {
        $(this).removeClass("hover");
    })


    //幻灯片 begin
    var nums = 0;
    $(".ppt-c").css("width", ($(".ppt-c a").length) * ($(".ppt-c a").width()) + "px");
    ppt();
    function ppt() {
        set = setInterval(function () {
            if(nums < 3) {
                nums++;
            } else {
                nums = 0;
            }
            $(".ppt-c").stop(true).animate({"left": -nums*260 + "px"});
            $(".s-li").eq(nums).addClass("hover").siblings(".s-li").removeClass("hover");
        }, 5000)
    }

    $(".s-li").on("mouseover", function () {
        nums = $(this).index();
        $(".ppt-c").stop(true).animate({"left": -nums*260 + "px"});
        $(".s-li").eq(nums).addClass("hover").siblings(".s-li").removeClass("hover");
    })

    $(".ppt").on("mouseover", function () {
        clearInterval(set);
    })
    $(".ppt").on("mouseleave", function () {
        ppt();
    })


	/*var w_w = $(window).width();
	 var w_h = $(window).height();
	 var f_w = $(".fixed").width();
	 var f_h = $(".fixed").height();
	 var f_t = (w_h - f_h)/2 + "px";
	 var f_r = (w_w - 1000 )/2 - f_w - 30 + "px";
	 $(".fixed").css({"top": f_t, "right": f_r});

	 var advH = $(".add100x260fixed").height();
	 var advT = (w_h - advH)/2;
	 $(".add100x260fixed").css("top", advT + "px");

	 $(window).resize(function () {

	 w_w = $(window).width();
	 w_h = $(window).height();
	 f_w = $(".fixed").width();
	 f_h = $(".fixed").height();
	 f_t = (w_h - f_h)/2 + "px";
	 f_r = (w_w - 1000 )/2 - f_w - 30 + "px";
	 $(".fixed").css({"top": f_t, "right": f_r});

	 advT = (w_h - advH)/2;
	 $(".add100x260fixed").css("top", advT + "px");

	 });

	 $(".top").click(function(){
	 $("body,html").stop(true).animate({scrollTop:0+"px"});
	 });

	 $(".fixed.zoom .top").hide(0);
	 if($(window).scrollTop() > 800){
	 $(".fixed.zoom .top").show(0);
	 } else {
	 $(".fixed.zoom .top").hide(0);
	 }

	 $(window).scroll(function(){
	 if($(window).scrollTop() > 800){
	 $(".fixed.zoom .top").show(0);
	 } else {
	 $(".fixed.zoom .top").hide(0);
	 }
	 })*/


    //幻灯片 end

    $(".input input").bind('input propertychange', function() {
        var thisP = $(this).parent(".input");
        thisP.siblings(".ui-autocomplete").addClass("hover");
    });
    $(".ui-autocomplete").mouseleave(function () {
        $(this).removeClass("hover");
    })

    $(".nav-a.logins").mouseover(function () {
        $(".nav-a.logins").addClass("ho");
        $(".user-login").addClass("ho");

        $(".broker, .broker-c").removeClass("ho");
        $(".mores1, .mores1-c").removeClass("ho");
        $(".mores2, .mores2-c").removeClass("ho");
        $(".mores3, .mores3-c").removeClass("ho");
    })
    $(".user-login").mouseleave(function () {
        $(".nav-a.logins").removeClass("ho");
        $(this).removeClass("ho");
    })

    $(".nav-a.broker").mouseover(function () {
        $(".user-login").removeClass("ho");

        $(".broker, .broker-c").addClass("ho");
        $(".mores1, .mores1-c").removeClass("ho");
        $(".mores2, .mores2-c").removeClass("ho");
        $(".mores3, .mores3-c").removeClass("ho");
    })


    $(".nav-a.logins").mouseover(function(){
        $(this).addClass("ho");
        $(".nav-a.broker").removeClass("ho");
        $(".broker, .broker-c").removeClass("ho");
        $(".mores1, .mores1-c").removeClass("ho");
        $(".mores2, .mores2-c").removeClass("ho");
        $(".mores3, .mores3-c").removeClass("ho");
    })

    $(".user-login").mouseleave(function(){
        $(this).removeClass("ho");
        $(".nav-a.broker").removeClass("ho");
        $(".broker, .broker-c").removeClass("ho");
        $(".mores1, .mores1-c").removeClass("ho");
        $(".mores2, .mores2-c").removeClass("ho");
        $(".mores3, .mores3-c").removeClass("ho");
    })


    //首页顶部数字加载begin

    var loadNum = $(".release .nums").attr("alt");
    if(loadNum) {
        var loadNum_L = loadNum.length;
        if(loadNum_L == 0) {
            loadNum = "00000";
        } else if(loadNum_L == 1){
            loadNum = "0000" + loadNum;
        } else if(loadNum_L == 2){
            loadNum = "000" + loadNum;
        } else if(loadNum_L == 3){
            loadNum = "00" + loadNum;
        } else if(loadNum_L == 4){
            loadNum = "0" + loadNum;
        } else if(loadNum_L == 5){
            loadNum =  loadNum;
        }
        var numArr = loadNum.split("");
        for(var i = 0, numLen = numArr.length; i <  numLen; i++) {
            $(".nums .num").eq(i).children(".allNum").stop(true).animate({"top": -(numArr[i])*42 + "px"}, 800);
        }
    }

    //首页顶部数字加载end
    $(".sels-li .alert-red").hide(0);
    var sli_len = $(".sels02 .sels-li").length;
    for(var i = 0 ; i < sli_len ; i++) {
        $(".sels02 .sels-li").eq(i).children(".hides").attr("title", i);
    }

    $(".sels02 .sels-li").on("click", function () {
        if($(".sels01 .sels-li").length==2)
        {
            $(".adds").hide(0);
        }
        if($(".sels01 .sels-li").length < 3) {
            var alts = parseInt($(this).attr("alt"));
            var filds = $(this).children(".hides").html();
            if(alts == 0) {
                alts = 1;
                var clo = $(this).clone();
                $(".sels01 .adds").before(clo);
                $(this).addClass("hover").attr("alt", alts);
                if($(".sels01 .sels-li").length == 1){
                    $(".sels01 .sels-li").eq(0).append("<input type='text' name='feature[]' value="+filds+">");
                } else if($(".sels01 .sels-li").length == 2){
                    $(".sels01 .sels-li").eq(1).append("<input type='text' name='feature[]' value="+filds+">");
                } else if($(".sels01 .sels-li").length == 3){
                    $(".sels01 .sels-li").eq(2).append("<input type='text' name='feature[]' value="+filds+">");
                }

            }



            $(".alert-red").hide(0);
        }else {
            $(".alert-red").show(0);
        }
    })

    $(".sels-li .icon-wrong").on("click", function () {
        var tit = $(this).parent(".sels-li").children(".hides").attr("title");
        var alts = parseInt($(".sels02 .sels-li").eq(tit).attr("alt"));
        if(alts == 1) {
            alts = 0;
            $(".sels02 .sels-li").eq(tit).removeClass("hover").attr("alt", alts);
            $(this).parent(".sels-li").remove();
        }

        var selj = parseInt($(this).parent(".sels-li").children(".hides").attr("title"));
        for(var i = 0 ; i < $(".sels02 .sels-li").length; i++){
            var seli = parseInt($(".sels02 .sels-li").eq(i).children(".hides").attr("title"));
            if(seli == selj){
                $(this).parent(".sels-li").remove();
            }
        }
        if($(".sels01 .sels-li").length<=2)
        {
            $(".adds").show(0);
        }
    })


    $(".imgLoads .li .sel .sel-r").on("click", function () {
        $(this).parent(".sel").parent(".li").remove();
    })


    //=========================
    var imgL_Len = $(".imgLoads .li").length;
    order();
    function order() {
        $(".imgLoads .li").children(".li-img").children(".evns").children(".e-l").show(0);
        $(".imgLoads .li").children(".li-img").children(".evns").children(".e-c").show(0);
        $(".imgLoads .li").children(".li-img").children(".evns").children(".e-r").show(0);
        $(".imgLoads .li").eq(0).children(".li-img").children(".evns").children(".e-l").hide(0);
        $(".imgLoads .li").eq(0).children(".li-img").children(".evns").children(".e-c").hide(0);
        $(".imgLoads .li").children(".li-img").children(".faceIcon").removeClass("hover");
        $(".imgLoads .li").eq(0).children(".li-img").children(".faceIcon").addClass("hover");
        $(".imgLoads .li").eq(imgL_Len-1).children(".li-img").children(".evns").children(".e-r").hide(0);
    }


    $(".imgLoads .e-l").on("click", function () {
        var thisP = $(this).parent(".evns").parent(".li-img").parent(".li");
        var thisIndex = thisP.index();
        $(".imgLoads .li").eq(thisIndex-1).before(thisP);
        order()
    })

    $(".imgLoads .e-r").on("click", function () {
        var thisP = $(this).parent(".evns").parent(".li-img").parent(".li");
        var thisIndex = thisP.index();
        $(".imgLoads .li").eq(thisIndex+1).after(thisP);
        order()
    })

    $(".imgLoads .e-c").on("click", function () {
        var thisP = $(this).parent(".evns").parent(".li-img").parent(".li");
        $(".imgLoads .li").eq(0).before(thisP);
        order()
    })

    var w_ws = $(window).width();
    var w_hs = $(window).height();
    var fix_w = $(".release-fail").width();
    var fix_h = $(".release-fail").height();
    var mf_w = (w_ws - fix_w)/2;
    var mf_h = (w_hs - fix_h)/2;
    var alert3dCh = $(".alert3dCon").height();
    var alert3dCT = (w_hs - alert3dCh)/2;

    $(".release-failBack").css({"width": w_ws+"px", "height": w_hs+"px"});
    $(".release-fail").css({"top": mf_h+"px","left": mf_w+"px"});


    $(".alert3d").css({"width": w_ws+"px", "height": w_hs+"px"});
    $(".alert3dCon").css({"margin-top": alert3dCT+"px"});
    $(window).resize(function () {
        w_ws = $(window).width();
        w_hs = $(window).height();
        mf_w = (w_ws - fix_w)/2;
        mf_h = (w_hs - fix_h)/2;
        alert3dCh = $(".alert3dCon").height();
        alert3dCT = (w_hs - alert3dCh)/2;

        $(".release-failBack").css({"width": w_ws+"px", "height":w_hs+"px"});
        $(".release-fail").css({"top": mf_h+"px","left": mf_w+"px"});

        $(".alert3d").css({"width": w_ws+"px", "height": w_hs+"px"});
        $(".alert3dCon").css({"margin-top": alert3dCT+"px"});
    })

    //出错弹窗
    var times = 10;
    function timeOver () {

        set = setInterval(function(){
            times--;
            $(".release-fail .sp3 .c-o").html(times+"秒后");
            if(times == 0) {
                clearInterval(set);
                location.href = "http://user.house365.com/user/myhousesell";
                return false;
            }
        }, 1000);
    }

    $(".timeFun").show(0);
    if($(".timeFun").length > 0){
        timeOver ();
    }




    $(".release-fail .closes").click(function(){
        $(".timeFun").hide(0);
        $(".release-failBack, .release-fail, #jsDialog3 ,#GTipsCover").hide(0);
        clearInterval(set);
        times = 10;
    })





    $(".clo-ale").click(function(){
        $(this).parent(".alert3dCon-tit").parent(".alert3dCon").parent(".alert3d").hide(0);
    })


    //侧栏置顶栏  bug 修改

    $(".fixed.zoom .col").eq(3).addClass("color");


    $(".sel-l").on("change",function(){
        var val = $(this).children("option:selected").attr("value");
        //alert(val);
        $(this).parent('.sel').prev(".jsVal").val(val);
    })




    $(".tab").mouseover(function(){
        $(".ui-autocomplete").css("display","none");
    })


    $(".search-release,.rel-left,.rel-right").mouseover(function(){
        $(".mores-c").hide(0);
        $(".areas-more").hide(0);

    })


//首页下拉样式

    $("ul.ui-autocomplete").eq(2).addClass("ui-autocomplete3");



    var searchVal = [];
    searchVal[0] = $(".searchInp").eq(0).attr("title");
    searchVal[1] = $(".searchInp").eq(1).attr("title");
    searchVal[2] = $(".searchInp").eq(2).attr("title");
    searchVal[3] = $(".searchInp").eq(3).attr("title");

    for(var i = 0; i < 4; i ++){

        $(".searchInp").eq(i).val(searchVal[i]);

        (function(i){

            $(".searchInp").eq(i).on("focus",function(){
                if($(this).val() == searchVal[i]){
                    $(this).attr("value", "");
                }
            });

            $(".searchInp").eq(i).on("blur",function(){
                if($(this).val() == "" || $(this).val() == null){
                    $(this).attr("value", searchVal[i]);
                }
            });

        }) (i)


    }

    //对联广告
    $(".closeBox").on("click", function(){

        $(this).parent(".add100x260fixed").hide(0);

    })


    $(".ui-menu li").eq(0).addClass("hover");
    $(".ui-menu li").on("mouseover", function(){
        $(this).addClass("hover").siblings("li").removeClass("hover");
    })

    $("body").click(function(){$(".ui-autocomplete").hide(0)});


    //===============================

    $(".nav").mouseleave(function(){
        $(".mores-c").css("display","none");
        $(".nav-a.mores").removeClass("ho");
    })

    $(".mores1.mores").mouseover(function(){
        $(".mores1-c.mores-c").css("display","block");
        $(".mores2-c.mores-c").css("display","none");
        $(".mores3-c.mores-c").css("display","none");
    })

    $(".mores2.mores").mouseover(function(){
        $(".mores1-c.mores-c").css("display","none");
        $(".mores2-c.mores-c").css("display","block");
        $(".mores3-c.mores-c").css("display","none");
    })

    $(".mores3.mores").mouseover(function(){
        $(".mores1-c.mores-c").css("display","none");
        $(".mores2-c.mores-c").css("display","none");
        $(".mores3-c.mores-c").css("display","block");
    })

    $(".head-top").mouseleave(function(){
        $(".broker-c").css("display","none");
        $(".logo-small-Con").css("display","none");
        $(".areas-more").css("display","none");
        $(".user-login").css("display","none");

        $(".ads.fl").removeClass("hover");
        $(".nav-a.broker").removeClass("ho");
        $(".nav-a.tel").removeClass("hover");
        $(".logins.item").removeClass("ho");
    })

    $(".ads.fl").mouseover(function(){
        $(".areas-more").css("display","block");
        $(".broker-c").css("display","none");
        $(".logo-small-Con").css("display","none");
        $(".user-login").css("display","none");
        return false;
    })

    $(".nav-a.broker").mouseover(function(){
        $(".areas-more").css("display","none");
        $(".broker-c").css("display","block");
        $(".logo-small-Con").css("display","none");
        $(".user-login").css("display","none");
        return false;
    })

    $(".nav-a.tel").mouseover(function(){
        $(".areas-more").css("display","none");
        $(".broker-c").css("display","none");
        $(".logo-small-Con").css("display","block");
        $(".user-login").css("display","none");
        return false;
    })

    $(".logins.item").mouseover(function(){
        $(".areas-more").css("display","none");
        $(".broker-c").css("display","none");
        $(".logo-small-Con").css("display","none");
        $(".user-login").css("display","block");
        return false;
    })

})